# The Quality Assurance Process Ontology
## 🚀 Goal
The Quality Assurance Process Ontology (QAPO) aims at representing the activities, artifacts and stakeholders involved in the Quality Assurance Process. Since QAPO can be applied in the context of several SE subdomains, it represents some general notions applicable for diverse SEON processes and artifacts.

## 📕 Domain Documentation

Domain documentation can be found [here](./docs/README.md)

## ⚙️ Requirements

1. Postgresql
2. Java 17
3. Maven

## ⚙️ Stack
1. Micronaut 3.8.2


## 🔧 Install

1) Create a database with name qapo with **CREATE DATABASE qapo**.
2) Run the command to start the webservice and create table of database:

```bash
mvn Spring-boot:run
```

## 🔧 Usage

### Using Jar

```xml
<dependency>
  <groupId>br.nemo.immigrant.ontology.entity</groupId>
  <artifactId>qapo</artifactId>
  <version>0.0.1-SNAPSHOT</version>
</dependency>
```

### Using Webservice

Execute docker-compose:
```bash
docker-compose up
```



## Debezium

Go to folder named *register* and performs following command to register in debezium:

```bash
curl -i -X POST -H "Accept:application/json" -H  "Content-Type:application/json" http://localhost:8083/connectors/ -d @register-sro.json
```

To delete, uses:

```bash
curl -i -X DELETE localhost:8083/connectors/sro-connector/
```


## 🔧 Usage

* Access [http://localhost:8081](http://localhost:8081) to see Swagger
* Acess [http://localhost:8081/grapiql](http://localhost:8081) to see Graphql.

## ✒️ Team

* **[Paulo Sérgio dos Santos Junior](paulossjunior@gmail.com)**

## 📕 Literature

